Skip to content
Start here

Delete saved string queries by ID

client.BrandProtection.Queries.Delete(ctx, params) error
DELETE/accounts/{account_id}/brand-protection/queries

Return a success message after deleting saved string queries by ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
params QueryDeleteParams
AccountID param.Field[string]

Path param

minLength1
ID param.Field[string]optional

Query param

Scan param.Field[bool]optional

Query param

Tag param.Field[string]optional

Query param

Delete saved string queries by ID

package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/brand_protection"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.BrandProtection.Queries.Delete(context.TODO(), brand_protection.QueryDeleteParams{
    AccountID: cloudflare.F("x"),
  })
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples